Обновления ПО Wiren Board


#21

Реанимирую тред.

Обновление от 13.12.2014: поддержка RGB-диммера SD111-180 от nooLite


wb-homa-ism-radio (1.11) stable; urgency=medium

  * Add support for Noolite RGB LED dimmer (SD111-180)

 -- Evgeny Boger <boger@contactless.ru>  Sat, 13 Dec 2014 02:49:21 +0300

wb-homa-ism-radio (1.10) stable; urgency=medium

  * Add support for slow down, slow up,  slow switch, slow stop commands for nooLite.
  * Switch off nooLite devices on level=0

 -- Evgeny Boger <boger@contactless.ru>  Sun, 30 Nov 2014 04:46:12 +0300



#22

косяк?

Устанавливается новая версия файла настройки /boot/uEnv.txt …
Настраивается пакет wb-homa-ism-radio (1.11) …
update-rc.d: using dependency based boot sequencing
[ ok ] Starting MQTT driver for WB HomA for RFM69 ISM radio: wb-homa-rcd.
W: Действие прервано до его завершения


#23

После обновления homa пропал из сети. По ip не пингуется.


#24

После обновления homa пропал из сети. По ip не пингуется.

Может быть он у вас другой ip получил? Обновление прошло без ошибок? Есть ли возможность посмотреть в консоль (debug UART)?


#25

Скажите пожалуйста, а нужно (или можно( ли обновлять платформу WirenBoard rev2.8? Или это всё касается только WB SH?


#26

вообще можно, но ничего особо интересного не появится.
Можно обновить ядро, можно поставить куски софта для “умного дома” на MQTT (wb-homa-modbus, wb-homa-w1, wb-homa-adc, wb-homa-webinterface).


#27

Видимо нужно прописать какие то дополнительные репозитории? тк у меня не обновляется ничего послеэтих команд

apt-get install wb-configs
apt-get install linux-latest

Вот такой выхлоп получается:
E: Unable to locate package wb-configs
E: Unable to locate package linux-latest


#28

если образ очень старый, то да.

https://github.com/contactless/wirenboard/blob/master/configs/configs/etc/apt/sources.list


#29

Добрый день.
появились какие-то изменения в hostapd?
Unpacking replacement wb-configs …
dpkg: error processing /var/cache/apt/archives/wb-configs_1.42_all.deb (–unpack):
trying to overwrite ‘/etc/default/hostapd’, which is also in package hostapd 1:1.0-3+deb7u1


#30

ДОбрый вечер.
Так что делать с этой ошибкой?

Распаковывается замена для пакета wb-configs …
dpkg: ошибка при обработке параметра /var/cache/apt/archives/wb-configs_1.42_all.deb (--unpack):
 попытка перезаписать «/etc/default/hostapd», который уже имеется в пакете hostapd 1:1.0-3+deb7u1
При обработке следующих пакетов произошли ошибки:
 /var/cache/apt/archives/wb-configs_1.42_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

ПРобовал убрать /etc/default/hostapd, останалвивал сервис, но все равно не устаналивается. Что сделать?

root@wirenboard:~# hostapd -v
hostapd v0.8.x

#31

попробуйте так:
apt-get -o Dpkg::Options::="–force-overwrite" install wb-configs


#32

Здравствуйте. Подскажите как исправить:


root@wirenboard:~# apt-get update
Hit http://security.debian.org wheezy/updates Release.gpg
Hit http://ftp.debian.org wheezy Release.gpg
Hit http://security.debian.org wheezy/updates Release
Hit http://ftp.debian.org wheezy Release
Hit http://releases.contactless.ru wheezy Release.gpg
Hit http://releases.contactless.ru wheezy Release
Hit http://security.debian.org wheezy/updates/main armel Packages
Hit http://security.debian.org wheezy/updates/main Translation-en
Hit http://ftp.debian.org wheezy/main armel Packages
Hit http://ftp.debian.org wheezy/main Translation-en
Hit http://ftp.debian.org wheezy/main Translation-ru
Hit http://releases.contactless.ru wheezy/main all Packages
Hit http://releases.contactless.ru wheezy/main armel Packages
Ign http://releases.contactless.ru wheezy/main Translation-en
Ign http://releases.contactless.ru wheezy/main Translation-ru
Reading package lists... Done

root@wirenboard:~# apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages have been kept back:
  libmosquitto1 libmosquittopp1
The following packages will be upgraded:
  linux-image-3.13.0-imxv5-x0.1 linux-image-3.19.0-imxv5-x0.1
2 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.
Need to get 0 B/13.4 MB of archives.
After this operation, 0 B of additional disk space will be used.
Do you want to continue [Y/n]? y
(Reading database ... 16953 files and directories currently installed.)
Preparing to replace linux-image-3.13.0-imxv5-x0.1 3.13-imxv5-x0.1+wb20150209172244 (using .../linux-image-3.13.0-imxv5-x0.1_3.13.0-imxv5-x0.1._armel.deb) ...
Unpacking replacement linux-image-3.13.0-imxv5-x0.1 ...
dpkg: error processing /var/cache/apt/archives/linux-image-3.13.0-imxv5-x0.1_3.13.0-imxv5-x0.1._armel.deb (--unpack):
 trying to overwrite '/boot/dtbs/imx23-wirenboard-rcterm1.dtb', which is also in package linux-image-3.19.0-imxv5-x0.1 3.19-imxv5-x0.1+wb20150507164459
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Preparing to replace linux-image-3.19.0-imxv5-x0.1 3.19-imxv5-x0.1+wb20150507164459 (using .../linux-image-3.19.0-imxv5-x0.1_3.19.0-imxv5-x0.1._armel.deb) ...
Unpacking replacement linux-image-3.19.0-imxv5-x0.1 ...
Errors were encountered while processing:
 /var/cache/apt/archives/linux-image-3.13.0-imxv5-x0.1_3.13.0-imxv5-x0.1._armel.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Ядро и свап:


root@wirenboard:~# free
             total       used       free     shared    buffers     cached
Mem:         49416      36892      12524          0       2424      18612
-/+ buffers/cache:      15856      33560
Swap:       127996       6768     121228
root@wirenboard:~# uname -a
Linux wirenboard 3.19.0-imxv5-x0.1 #343 Thu May 7 19:45:12 MSK 2015 armv5tejl GNU/Linux


#33

apt-get remove linux-image-3.13.0-imxv5-x0.1


#34

Все получилось, спасибо.


#35

Добрый день! Обновляю WB SH 3.5 из образа sdcard_20140609.
После apt-get update

Reading package lists... Done
W: There is no public key available for the following key IDs:
9D6D8F6BC857C906
W: There is no public key available for the following key IDs:
7638D0442B90D010

а apt-get upgrade валится в итоге с ошибками

Installing new version of config file /etc/mosquitto/mosquitto.conf ...
Installing new version of config file /etc/logrotate.d/mosquitto ...
[ 3431.250000] net_ratelimit: 387 callbacks suppressed
[ 3431.250000] smsc95xx 1-1.1:1.0 eth0: kevent 2 may have been dropped
Starting network daemon:: mosquitto.
Setting up ppp (2.4.5-5.1+deb7u2) ...
Setting up python-mosquitto (1.3.4-2contactless1) ...
Setting up python-wb-io (1.2) ...
Setting up unzip (6.0-8+deb7u2) ...
Setting up wb-homa-ism-radio (1.16) ...
Installing new version of config file /etc/init.d/wb-homa-ism-radio ...
update-rc.d: using dependency based boot sequencing
Starting MQTT driver for WB HomA for RFM69 ISM radio: wb-homa-rcd/etc/init.d/wb-homa-ism-radio: 28: /etc/wb_env.sh: Syntax error: "(" unexpected (expecting ";;")
invoke-rc.d: initscript wb-homa-ism-radio, action "start" failed.
dpkg: error processing wb-homa-ism-radio (--configure):
 subprocess installed post-installation script returned error exit status 2
Setting up wb-homa-webinterface (1.07) ...
Setting up wb-utils (1.45) ...
Installing new version of config file /etc/wb_env.sh ...
update-rc.d: using dependency based boot sequencing
Starting update local time using SIMCOM SIM900 integrated RTC: wb-gsm-rtc. date looks good, do nothing.
update-rc.d: using dependency based boot sequencing
Starting board-specific initscript: wb-init.
Setting up wireless-regdb (2014.10.07-1~deb7u1) ...
Setting up wpasupplicant (1.0-3+deb7u2) ...
Setting up perl-modules (5.14.2-21+deb7u2) ...
Setting up perl (5.14.2-21+deb7u2) ...
Processing triggers for ca-certificates ...
Updating certificates in /etc/ssl/certs... [ 3499.470000] smsc95xx 1-1.1:1.0 eth0: kevent 2 may have been dropped
[ 3499.480000] smsc95xx 1-1.1:1.0 eth0: kevent 2 may have been dropped
[ 3499.480000] smsc95xx 1-1.1:1.0 eth0: kevent 2 may have been dropped
[ 3499.490000] smsc95xx 1-1.1:1.0 eth0: kevent 2 may have been dropped
[ 3499.500000] smsc95xx 1-1.1:1.0 eth0: kevent 2 may have been dropped
[ 3499.500000] smsc95xx 1-1.1:1.0 eth0: kevent 2 may have been dropped
[ 3499.510000] smsc95xx 1-1.1:1.0 eth0: kevent 2 may have been dropped
[ 3499.520000] smsc95xx 1-1.1:1.0 eth0: kevent 2 may have been dropped
[ 3499.540000] smsc95xx 1-1.1:1.0 eth0: kevent 2 may have been dropped
18 added, 5 removed; done.
Running hooks in /etc/ca-certificates/update.d....done.
Errors were encountered while processing:
 wb-homa-ism-radio
E: Sub-process /usr/bin/dpkg returned an error code (1)

#36

Поставьте новую прошивку.


#37

Поставьте новую прошивку.


#38

А какая последняя, у меня серийник меньше 300, т.е. получается sdcard_20140614.img.zip ?

“если серийный номер вашего Wiren Board Smart Home 3.5 больше 300 - используйте образ с newwifi в названии”


#39

Дайте пожалуйста ссылку на последнюю прошивку для WB SH 3.5 с номером до 300


#40

Пытаюсь обновиться с sdcard_20140614.img.zip
apt-get update
apt-get install wb-configs

root@wirenboard:~# apt-get install wb-configs
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  wb-utils
The following packages will be upgraded:
  wb-configs wb-utils
2 upgraded, 0 newly installed, 0 to remove and 62 not upgraded.
Need to get 28.4 kB of archives.
After this operation, 4096 B disk space will be freed.
Do you want to continue [Y/n]? Y
Get:1 http://releases.contactless.ru/ wheezy/main wb-utils armel 1.45 [10.3 kB]
Get:2 http://releases.contactless.ru/ wheezy/main wb-configs all 1.48 [18.1 kB]
Fetched 28.4 kB in 1s (18.9 kB/s)
(Reading database ... 14941 files and directories currently installed.)
Preparing to replace wb-utils 1.02 (using .../wb-utils_1.45_armel.deb) ...
Unpacking replacement wb-utils ...
Preparing to replace wb-configs 1.00 (using .../wb-configs_1.48_all.deb) ...
Unpacking replacement wb-configs ...
dpkg: error processing /var/cache/apt/archives/wb-configs_1.48_all.deb (--unpack                                                           ):
 trying to overwrite '/etc/default/rcS', which is also in package initscripts 2.                                                           88dsf-41+deb7u1
Errors were encountered while processing:
 /var/cache/apt/archives/wb-configs_1.48_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

apt-get install linux-latest

root@wirenboard:~# apt-get install linux-latest
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  linux-firmware-image-3.19.0-imxv5-x0.1 linux-image-3.19.0-imxv5-x0.1 wb-configs
The following NEW packages will be installed:
  linux-firmware-image-3.19.0-imxv5-x0.1 linux-image-3.19.0-imxv5-x0.1 linux-latest wb-configs
0 upgraded, 4 newly installed, 0 to remove and 62 not upgraded.
Need to get 7806 kB/7825 kB of archives.
After this operation, 21.6 MB of additional disk space will be used.
Do you want to continue [Y/n]? Y
Get:1 http://releases.contactless.ru/ wheezy/main linux-firmware-image-3.19.0-imxv5-x0.1 armel 3                                           .19-imxv5-x0.1+wb20150507164459 [1015 kB]
Get:2 http://releases.contactless.ru/ wheezy/main linux-image-3.19.0-imxv5-x0.1 armel 3.19.0-imx                                           v5-x0.1. [6791 kB]
Get:3 http://releases.contactless.ru/ wheezy/main linux-latest all 3.19-imxv5-x0.1+wb20150507164                                           459 [718 B]
Fetched 7806 kB in 60s (129 kB/s)
Selecting previously unselected package linux-firmware-image-3.19.0-imxv5-x0.1.
(Reading database ... 14933 files and directories currently installed.)
Unpacking linux-firmware-image-3.19.0-imxv5-x0.1 (from .../linux-firmware-image-3.19.0-imxv5-x0.                                           1_3.19-imxv5-x0.1+wb20150507164459_armel.deb) ...
Selecting previously unselected package linux-image-3.19.0-imxv5-x0.1.
Unpacking linux-image-3.19.0-imxv5-x0.1 (from .../linux-image-3.19.0-imxv5-x0.1_3.19.0-imxv5-x0.                                           1._armel.deb) ...
Unpacking wb-configs (from .../wb-configs_1.48_all.deb) ...
dpkg: error processing /var/cache/apt/archives/wb-configs_1.48_all.deb (--unpack):
 trying to overwrite '/etc/default/rcS', which is also in package initscripts 2.88dsf-41+deb7u1
Selecting previously unselected package linux-latest.
Unpacking linux-latest (from .../linux-latest_3.19-imxv5-x0.1+wb20150507164459_all.deb) ...
Errors were encountered while processing:
 /var/cache/apt/archives/wb-configs_1.48_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)